Update Phone Number
PUT
/api/v1/organizations/telephony-configs/{config_id}/phone-numbers/{phone_number_id}cURL example
curl -X PUT \
'https://app.intracord.hu/api/v1/organizations/telephony-configs/{config_id}/phone-numbers/{phone_number_id}' \
-H "X-API-Key: $INTRACORD_API_KEY" \
-H 'Content-Type: application/json' \
--data-binary @request.jsonParameters
| Name | Location | Type | Description |
|---|---|---|---|
config_idrequired | path | integer | — |
phone_number_idrequired | path | integer | — |
authorization | header | object | — |
X-API-Key | header | object | — |
Request body
application/jsonView schema
{
"properties": {
"label": {
"anyOf": [
{
"type": "string",
"maxLength": 64
},
{
"type": "null"
}
],
"title": "Label"
},
"inbound_workflow_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Inbound Workflow Id"
},
"clear_inbound_workflow": {
"type": "boolean",
"title": "Clear Inbound Workflow",
"default": false
},
"telephony_trunk_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Telephony Trunk Id"
},
"clear_trunk": {
"type": "boolean",
"title": "Clear Trunk",
"default": false
},
"is_active": {
"anyOf": [
{
"type": "boolean"
},
{
"type": "null"
}
],
"title": "Is Active"
},
"country_code": {
"anyOf": [
{
"type": "string",
"maxLength": 2,
"minLength": 2
},
{
"type": "null"
}
],
"title": "Country Code"
},
"extra_metadata": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
],
"title": "Extra Metadata"
}
},
"type": "object",
"title": "PhoneNumberUpdateRequest",
"description": "Partial update. ``address`` is intentionally immutable — to change a\nnumber, delete the row and create a new one."
}Responses
200Successful Responseapplication/jsonView schema
{
"properties": {
"id": {
"type": "integer",
"title": "Id"
},
"telephony_configuration_id": {
"type": "integer",
"title": "Telephony Configuration Id"
},
"address": {
"type": "string",
"title": "Address"
},
"address_normalized": {
"type": "string",
"title": "Address Normalized"
},
"address_type": {
"type": "string",
"title": "Address Type"
},
"country_code": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Country Code"
},
"label": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Label"
},
"inbound_workflow_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Inbound Workflow Id"
},
"inbound_workflow_name": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
],
"title": "Inbound Workflow Name"
},
"telephony_trunk_id": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
],
"title": "Telephony Trunk Id"
},
"is_active": {
"type": "boolean",
"title": "Is Active"
},
"is_default_caller_id": {
"type": "boolean",
"title": "Is Default Caller Id"
},
"extra_metadata": {
"additionalProperties": true,
"type": "object",
"title": "Extra Metadata"
},
"created_at": {
"type": "string",
"format": "date-time",
"title": "Created At"
},
"updated_at": {
"type": "string",
"format": "date-time",
"title": "Updated At"
},
"provider_sync": {
"anyOf": [
{
"$ref": "#/components/schemas/ProviderSyncStatus"
},
{
"type": "null"
}
]
}
},
"type": "object",
"required": [
"id",
"telephony_configuration_id",
"address",
"address_normalized",
"address_type",
"is_active",
"is_default_caller_id",
"extra_metadata",
"created_at",
"updated_at"
],
"title": "PhoneNumberResponse"
}404Not found422Validation Errorapplication/jsonView schema
{
"properties": {
"detail": {
"items": {
"$ref": "#/components/schemas/ValidationError"
},
"type": "array",
"title": "Detail"
}
},
"type": "object",
"title": "HTTPValidationError"
}